summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2010-06-23 21:35:30 (GMT)
committerBritney Fransen <brfransen@gmail.com>2010-06-23 21:35:30 (GMT)
commit80650b0d4c91464a65f0f7c76fba242a74524ba7 (patch)
tree9d71eb45a18032a539851eda467c8b23629919c9 /abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
parentd5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca (diff)
downloadlinhes_pkgbuild-80650b0d4c91464a65f0f7c76fba242a74524ba7.zip
linhes_pkgbuild-80650b0d4c91464a65f0f7c76fba242a74524ba7.tar.gz
linhes_pkgbuild-80650b0d4c91464a65f0f7c76fba242a74524ba7.tar.bz2
linhes-scripts: Update shootscreens.sh and shootscreens-mythtv.sh to use the osd_cat.cfg
Diffstat (limited to 'abs/core-testing/linhes-scripts/shootscreens-mythtv.sh')
-rwxr-xr-xabs/core-testing/linhes-scripts/shootscreens-mythtv.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh b/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
index db01147..111b980 100755
--- a/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
+++ b/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
@@ -1,11 +1,19 @@
#! /bin/bash
-# available sizes: 34, 25, 24, 20, 18, 17, 14, 12, 11, 10
-export FONT="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+
echo "This could take several minutes," > /tmp/screens
echo "depending on your hardware and the" >> /tmp/screens
echo "number and type of videos you have." >> /tmp/screens
echo "It will only work on videos scanned" >> /tmp/screens
echo "with Video Manager." >> /tmp/screens
-cat /tmp/screens | osd_cat --font=$FONT --shadow=3 --pos=middle --align=centre --offset=200 --color=yellow --delay=0 &
+cat /tmp/screens | osd_cat --pos=middle --align=center --delay=0 --offset=200 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
shootscreens.sh 1
/bin/rm -f /tmp/screens \ No newline at end of file